Subject: bug#187: Missing SysVinit files in quagga-core

From: [email-masked]
Date: Fri, 23 Feb 2018 01:33:25 -0500

Package: quagga-core
Version: 1.1.1-3+deb9u1
Severity: grave
Tags: ascii

Dear Maintainer,

The quagga-core package in Ascii does not provide a SysV init script and several related files.  As far as I can tell, at least the following files are missing:

/etc/init.d/quagga
/etc/quagga/daemons
/etc/quagga/debian.conf
/usr/lib/quagga/watchquagga
/usr/share/man/man8/watchquagga.8.gz

According to the following bug report, SysVinit support was removed from quagga-core in Debian:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=849011

Bug 849011 references 4 other Debian bugs as the reason for removing the init scripts.  Below is a summary of the current status of each:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678946

This was filed against quagga 0.99.20.1.  Patches were included, no confirmation whether or not they fixed the issue.  However, comment #4 in Ubuntu bug 405195 reports that this is fixed in Ubuntu 14.04, and the same fix appears to be in the init script on Devuan Jessie.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=805840

The initial bug report included a patch to add pimd to the daemons list.  I have not tested the patch, but the submitter claims it fixes the issue.  The patch looks very simple, so it seems likely that it works.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839819

This appears to only apply to systemd, so it should not pose any issues for Devuan systems.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=412483

This an enhancement request with a severity of "wishlist".

Please let me know if there is any additional information I can provide that would be helpful.